<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="BranchesTreeState">
    <expand>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="LOCAL_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="GROUP_NODE:origin" type="e8cecc67:BranchNodeDescriptor" />
      </path>
    </expand>
    <select />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="7c7f4e07-0f45-41e9-909f-437fd8918081" name="Default Changelist" comment="项目导入字段修改">
      <change beforePath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-datascreen/target/generated-sources/annotations/com/jeeplus/datav/service/mapstruct/DataMapWrapperImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-datascreen/target/generated-sources/annotations/com/jeeplus/datav/service/mapstruct/DataMapWrapperImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-datascreen/target/generated-sources/annotations/com/jeeplus/datav/service/mapstruct/DataScreenCategoryWrapperImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-datascreen/target/generated-sources/annotations/com/jeeplus/datav/service/mapstruct/DataScreenCategoryWrapperImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-datascreen/target/generated-sources/annotations/com/jeeplus/datav/service/mapstruct/DataScreenWrapperImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-datascreen/target/generated-sources/annotations/com/jeeplus/datav/service/mapstruct/DataScreenWrapperImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-datasource/target/generated-sources/annotations/com/jeeplus/database/datalink/service/mapstruct/DataSourceWrapperImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-datasource/target/generated-sources/annotations/com/jeeplus/database/datalink/service/mapstruct/DataSourceWrapperImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-datasource/target/generated-sources/annotations/com/jeeplus/database/datamodel/service/mapstruct/DataMetaWrapperImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-datasource/target/generated-sources/annotations/com/jeeplus/database/datamodel/service/mapstruct/DataMetaWrapperImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-datasource/target/generated-sources/annotations/com/jeeplus/database/datamodel/service/mapstruct/DataParamWrapperImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-datasource/target/generated-sources/annotations/com/jeeplus/database/datamodel/service/mapstruct/DataParamWrapperImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-datasource/target/generated-sources/annotations/com/jeeplus/database/datamodel/service/mapstruct/DataSetWrapperImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-datasource/target/generated-sources/annotations/com/jeeplus/database/datamodel/service/mapstruct/DataSetWrapperImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-notify/target/generated-sources/annotations/com/jeeplus/notify/service/mapstruct/NotifyRecordWrapperImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-notify/target/generated-sources/annotations/com/jeeplus/notify/service/mapstruct/NotifyRecordWrapperImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-notify/target/generated-sources/annotations/com/jeeplus/notify/service/mapstruct/NotifyWrapperImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-notify/target/generated-sources/annotations/com/jeeplus/notify/service/mapstruct/NotifyWrapperImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-wps/target/generated-sources/annotations/com/jeeplus/office/service/mapstruct/DocCategoryWrapperImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-wps/target/generated-sources/annotations/com/jeeplus/office/service/mapstruct/DocCategoryWrapperImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-wps/target/generated-sources/annotations/com/jeeplus/office/service/mapstruct/DocTemplateWrapperImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/jeeplus-plugins/jeeplus-wps/target/generated-sources/annotations/com/jeeplus/office/service/mapstruct/DocTemplateWrapperImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/jeeplus-web/src/main/resources/application.yml" beforeDir="false" afterPath="$PROJECT_DIR$/jeeplus-web/src/main/resources/application.yml" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="$PROJECT_DIR$/../../java_install/maven-3.5.3" />
        <option name="userSettingsFile" value="D:\java_install\maven-3.5.3\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="ProjectId" id="2DFvVxyxEMrp5Qsbqik38sDn4cy" />
  <component name="ProjectViewState">
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="ExpandSpringBootJavaOptionsPanel" value="true" />
    <property name="MyBatisLogPluginindexNum" value="18077" />
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="settings.editor.selected.configurable" value="MavenSettings" />
  </component>
  <component name="ReactorSettings">
    <option name="notificationShown" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.jeeplus.config" />
    </key>
  </component>
  <component name="RunManager">
    <configuration name="JeeplusWebApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="jeeplus-web" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.jeeplus.JeeplusWebApplication" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SHORTEN_COMMAND_LINE" value="MANIFEST" />
      <option name="UPDATE_ACTION_UPDATE_POLICY" value="UpdateClassesAndResources" />
      <option name="FRAME_DEACTIVATION_UPDATE_POLICY" value="UpdateClassesAndResources" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="7c7f4e07-0f45-41e9-909f-437fd8918081" name="Default Changelist" comment="" />
      <created>1660307674592</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1660307674592</updated>
      <workItem from="1660307677846" duration="4068000" />
      <workItem from="1660315819743" duration="166000" />
      <workItem from="1660523756690" duration="837000" />
      <workItem from="1660617225205" duration="7686000" />
      <workItem from="1660696051885" duration="39661000" />
      <workItem from="1660875152370" duration="3032000" />
      <workItem from="1661128060460" duration="23658000" />
      <workItem from="1661300873491" duration="237000" />
      <workItem from="1661303690419" duration="1963000" />
      <workItem from="1661495666827" duration="544000" />
      <workItem from="1661846518105" duration="1257000" />
      <workItem from="1661856182806" duration="6879000" />
    </task>
    <task id="LOCAL-00001" summary="人员处理权限添加">
      <created>1660310373080</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1660310373080</updated>
    </task>
    <task id="LOCAL-00002" summary="导出功能修改">
      <created>1660312384978</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1660312384978</updated>
    </task>
    <task id="LOCAL-00003" summary="登录验证处理">
      <created>1660523964027</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1660523964027</updated>
    </task>
    <task id="LOCAL-00004" summary="导入模板背景色更改">
      <created>1660618343917</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1660618343917</updated>
    </task>
    <task id="LOCAL-00005" summary="配置文件-允许mybatis批量修改">
      <created>1660618961638</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1660618961638</updated>
    </task>
    <task id="LOCAL-00006" summary="修改上传权限修改">
      <created>1660619422967</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1660619422967</updated>
    </task>
    <task id="LOCAL-00007" summary="缓存位置修改">
      <created>1660791072293</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1660791072293</updated>
    </task>
    <task id="LOCAL-00008" summary="登录更改为登录名或手机号登录">
      <created>1660805658340</created>
      <option name="number" value="00008" />
      <option name="presentableId" value="LOCAL-00008" />
      <option name="project" value="LOCAL" />
      <updated>1660805658340</updated>
    </task>
    <task id="LOCAL-00009" summary="mapping修改">
      <created>1661134621642</created>
      <option name="number" value="00009" />
      <option name="presentableId" value="LOCAL-00009" />
      <option name="project" value="LOCAL" />
      <updated>1661134621642</updated>
    </task>
    <task id="LOCAL-00010" summary="项目导入字段修改">
      <created>1661156849053</created>
      <option name="number" value="00010" />
      <option name="presentableId" value="LOCAL-00010" />
      <option name="project" value="LOCAL" />
      <updated>1661156849053</updated>
    </task>
    <task id="LOCAL-00011" summary="生产环境配置代码">
      <created>1661156919231</created>
      <option name="number" value="00011" />
      <option name="presentableId" value="LOCAL-00011" />
      <option name="project" value="LOCAL" />
      <updated>1661156919231</updated>
    </task>
    <task id="LOCAL-00012" summary="查询功能修改">
      <created>1661158868284</created>
      <option name="number" value="00012" />
      <option name="presentableId" value="LOCAL-00012" />
      <option name="project" value="LOCAL" />
      <updated>1661158868284</updated>
    </task>
    <option name="localTasksCounter" value="13" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="2" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
    <option name="oldMeFiltersMigrated" value="true" />
  </component>
  <component name="VcsManagerConfiguration">
    <option name="CHECK_CODE_SMELLS_BEFORE_PROJECT_COMMIT" value="false" />
    <option name="CHECK_NEW_TODO" value="false" />
    <MESSAGE value="人员处理权限添加" />
    <MESSAGE value="导出功能修改" />
    <MESSAGE value="登录验证处理" />
    <MESSAGE value="导入模板背景色更改" />
    <MESSAGE value="配置文件-允许mybatis批量修改" />
    <MESSAGE value="修改上传权限修改" />
    <MESSAGE value="缓存位置修改" />
    <MESSAGE value="登录更改为登录名或手机号登录" />
    <MESSAGE value="mapping修改" />
    <MESSAGE value="项目导入字段修改" />
    <MESSAGE value="生产环境配置代码" />
    <MESSAGE value="查询功能修改" />
    <option name="LAST_COMMIT_MESSAGE" value="查询功能修改" />
  </component>
  <component name="WindowStateProjectService">
    <state x="632" y="170" key="#Project_Structure" timestamp="1660715447471">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="632" y="170" key="#Project_Structure/0.0.2560.1400@0.0.2560.1400" timestamp="1660715447471" />
    <state x="730" y="346" width="1117" height="708" key="#com.intellij.execution.impl.EditConfigurationsDialog" timestamp="1661134515242">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="730" y="346" width="1117" height="708" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.0.2560.1400@0.0.2560.1400" timestamp="1661134515242" />
    <state x="630" y="188" key="CommitChangelistDialog2" timestamp="1661158867820">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="630" y="188" key="CommitChangelistDialog2/0.0.2560.1400@0.0.2560.1400" timestamp="1661158867820" />
    <state width="1304" height="1353" key="DebuggerActiveHint" timestamp="1661860079318">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state width="1304" height="1353" key="DebuggerActiveHint/0.0.2560.1400@0.0.2560.1400" timestamp="1661860079318" />
    <state x="92" y="92" width="2376" height="1216" key="DiffContextDialog" timestamp="1661156833133">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="92" y="92" width="2376" height="1216" key="DiffContextDialog/0.0.2560.1400@0.0.2560.1400" timestamp="1661156833133" />
    <state x="1007" y="395" key="FileChooserDialogImpl" timestamp="1660702451080">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="1007" y="395" key="FileChooserDialogImpl/0.0.2560.1400@0.0.2560.1400" timestamp="1660702451080" />
    <state width="2507" height="205" key="GridCell.Tab.0.bottom" timestamp="1661907090349">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state width="2507" height="205" key="GridCell.Tab.0.bottom/0.0.2560.1400@0.0.2560.1400" timestamp="1661907090349" />
    <state width="2507" height="205" key="GridCell.Tab.0.center" timestamp="1661907090349">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state width="2507" height="205" key="GridCell.Tab.0.center/0.0.2560.1400@0.0.2560.1400" timestamp="1661907090349" />
    <state width="2507" height="205" key="GridCell.Tab.0.left" timestamp="1661907090349">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state width="2507" height="205" key="GridCell.Tab.0.left/0.0.2560.1400@0.0.2560.1400" timestamp="1661907090349" />
    <state width="2507" height="205" key="GridCell.Tab.0.right" timestamp="1661907090349">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state width="2507" height="205" key="GridCell.Tab.0.right/0.0.2560.1400@0.0.2560.1400" timestamp="1661907090349" />
    <state width="2507" height="205" key="GridCell.Tab.1.bottom" timestamp="1661907569288">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state width="2507" height="205" key="GridCell.Tab.1.bottom/0.0.2560.1400@0.0.2560.1400" timestamp="1661907569288" />
    <state width="2507" height="205" key="GridCell.Tab.1.center" timestamp="1661907569288">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state width="2507" height="205" key="GridCell.Tab.1.center/0.0.2560.1400@0.0.2560.1400" timestamp="1661907569288" />
    <state width="2507" height="205" key="GridCell.Tab.1.left" timestamp="1661907569288">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state width="2507" height="205" key="GridCell.Tab.1.left/0.0.2560.1400@0.0.2560.1400" timestamp="1661907569288" />
    <state width="2507" height="205" key="GridCell.Tab.1.right" timestamp="1661907569288">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state width="2507" height="205" key="GridCell.Tab.1.right/0.0.2560.1400@0.0.2560.1400" timestamp="1661907569288" />
    <state width="2507" height="205" key="GridCell.Tab.2.bottom" timestamp="1661907090219">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state width="2507" height="205" key="GridCell.Tab.2.bottom/0.0.2560.1400@0.0.2560.1400" timestamp="1661907090219" />
    <state width="2507" height="205" key="GridCell.Tab.2.center" timestamp="1661907090219">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state width="2507" height="205" key="GridCell.Tab.2.center/0.0.2560.1400@0.0.2560.1400" timestamp="1661907090219" />
    <state width="2507" height="205" key="GridCell.Tab.2.left" timestamp="1661907090219">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state width="2507" height="205" key="GridCell.Tab.2.left/0.0.2560.1400@0.0.2560.1400" timestamp="1661907090219" />
    <state width="2507" height="205" key="GridCell.Tab.2.right" timestamp="1661907090219">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state width="2507" height="205" key="GridCell.Tab.2.right/0.0.2560.1400@0.0.2560.1400" timestamp="1661907090219" />
    <state x="664" y="258" key="SettingsEditor" timestamp="1660307749863">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="664" y="258" key="SettingsEditor/0.0.2560.1400@0.0.2560.1400" timestamp="1660307749863" />
    <state x="772" y="368" key="Vcs.Push.Dialog.v2" timestamp="1661158869452">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="772" y="368" key="Vcs.Push.Dialog.v2/0.0.2560.1400@0.0.2560.1400" timestamp="1661158869452" />
    <state x="1037" y="593" key="com.intellij.openapi.vcs.update.UpdateOrStatusOptionsDialogupdate-v2" timestamp="1661909885929">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="1037" y="593" key="com.intellij.openapi.vcs.update.UpdateOrStatusOptionsDialogupdate-v2/0.0.2560.1400@0.0.2560.1400" timestamp="1661909885929" />
    <state x="646" y="364" key="com.intellij.xdebugger.impl.breakpoints.ui.BreakpointsDialogFactory$2" timestamp="1660802690757">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="646" y="364" key="com.intellij.xdebugger.impl.breakpoints.ui.BreakpointsDialogFactory$2/0.0.2560.1400@0.0.2560.1400" timestamp="1660802690757" />
    <state x="1293" y="538" width="839" height="646" key="find.popup" timestamp="1661907530974">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="1293" y="538" width="839" height="646" key="find.popup/0.0.2560.1400@0.0.2560.1400" timestamp="1661907530974" />
    <state x="850" y="442" key="git4idea.merge.GitPullDialog" timestamp="1660617262209">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="850" y="442" key="git4idea.merge.GitPullDialog/0.0.2560.1400@0.0.2560.1400" timestamp="1660617262209" />
    <state x="852" y="175" width="840" height="1032" key="search.everywhere.popup" timestamp="1661846526294">
      <screen x="0" y="0" width="2560" height="1400" />
    </state>
    <state x="852" y="175" width="840" height="1032" key="search.everywhere.popup/0.0.2560.1400@0.0.2560.1400" timestamp="1661846526294" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$PROJECT_DIR$/../../java_install/maven-3.5.3/repository/cn/afterturn/easypoi-base/4.3.0/easypoi-base-4.3.0-sources.jar!/cn/afterturn/easypoi/excel/imports/ExcelImportService.java</url>
          <line>111</line>
          <option name="timeStamp" value="18" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/jeeplus-platform/jeeplus-admin/src/main/java/com/jeeplus/sys/controller/FileController.java</url>
          <line>320</line>
          <option name="timeStamp" value="20" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/jeeplus-platform/jeeplus-admin/src/main/java/com/jeeplus/sys/utils/FileKit.java</url>
          <line>210</line>
          <option name="timeStamp" value="21" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>